unit fjf273u;

interface

implementation

var
  bar : asmname 'bar' string(1);

end.

program fjf273;

uses fjf273u;

var
  bar : asmname 'bar' string (10);
  bar : string (10);

begin
  bar := 'OK';
  if bar = 'OK' then writeln (bar) else writeln ('failed')
end.
